'use strict';var _export=require('./export-61511812.js'),arrayIteration=require('./array-iteration-f8b4483d.js'),arrayMethodHasSpeciesSupport=require('./array-method-has-species-support-983ac207.js');var $filter = arrayIteration.a.filter;


var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport.a('filter');

// `Array.prototype.filter` method
// https://tc39.es/ecma262/#sec-array.prototype.filter
// with adding support of @@species
_export._({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT }, {
  filter: function filter(callbackfn /* , thisArg */) {
    return $filter(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});